Package com.smartgwt.logicalstructure.widgets.layout

# Class SplitPaneLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.SplitPaneLogicalStructure

Direct Known Subclasses:
  `NavPanelLogicalStructure`

public class SplitPaneLogicalStructure extends LayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `addHistoryEntries`
  `String`
  `animateNavigationBarStateChanges`
  `String`
  `autoNavigate`
  `String`
  `currentPane`
  `Canvas`
  `detailNavigationControl`
  `Canvas`
  `detailPane`
  `String`
  `detailPaneTitleTemplate`
  `String`
  `detailTitle`
  `Canvas[]`
  `detailToolButtons`
  `String`
  `deviceMode`
  `String`
  `editProxyConstructor`
  `Canvas`
  `listPane`
  `String`
  `listPaneTitleTemplate`
  `String`
  `listTitle`
  `Canvas`
  `navigationPane`
  `String`
  `navigationPaneWidthAsString`
  `String`
  `navigationTitle`
  `String`
  `notifyAfterNavigationClick`
  `String`
  `pageOrientation`
  `String`
  `reverseOrder`
  `String`
  `showDetailToolStrip`
  `String`
  `showLeftButton`
  `String`
  `showListToolStrip`
  `String`
  `showMiniNav`
  `String`
  `showNavigationBar`
  `String`
  `showResizeBars`
  `String`
  `showRightButton`
  `String`
  `vertical`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, showDragPlaceHolder, showDropLines, stackZIndex, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitPaneLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### addHistoryEntries

    public String addHistoryEntries

  - ### animateNavigationBarStateChanges

    public String animateNavigationBarStateChanges

  - ### autoNavigate

    public String autoNavigate

  - ### currentPane

    public String currentPane

  - ### detailNavigationControl

    public Canvas detailNavigationControl

  - ### detailPane

    public Canvas detailPane

  - ### detailPaneTitleTemplate

    public String detailPaneTitleTemplate

  - ### detailTitle

    public String detailTitle

  - ### detailToolButtons

    public Canvas[] detailToolButtons

  - ### deviceMode

    public String deviceMode

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### listPane

    public Canvas listPane

  - ### listPaneTitleTemplate

    public String listPaneTitleTemplate

  - ### listTitle

    public String listTitle

  - ### navigationPane

    public Canvas navigationPane

  - ### navigationPaneWidthAsString

    public String navigationPaneWidthAsString

  - ### navigationTitle

    public String navigationTitle

  - ### notifyAfterNavigationClick

    public String notifyAfterNavigationClick

  - ### pageOrientation

    public String pageOrientation

  - ### reverseOrder

    public String reverseOrder

  - ### showDetailToolStrip

    public String showDetailToolStrip

  - ### showLeftButton

    public String showLeftButton

  - ### showListToolStrip

    public String showListToolStrip

  - ### showMiniNav

    public String showMiniNav

  - ### showNavigationBar

    public String showNavigationBar

  - ### showResizeBars

    public String showResizeBars

  - ### showRightButton

    public String showRightButton

  - ### vertical

    public String vertical

- ## Constructor Details

  - ### SplitPaneLogicalStructure

    public SplitPaneLogicalStructure()